# Uses of Interface
org.springframework.aot.generate.GenerationContext

Packages that use GenerationContext
Package
Description
org.springframework.aot.generate
Support classes for components that contribute generated code equivalent to a runtime behavior.

## Uses of GenerationContext in org.springframework.aot.generate

Classes in org.springframework.aot.generate that implement GenerationContext
Modifier and Type
Class
Description
`class`
`DefaultGenerationContext`
Default `GenerationContext` implementation.
Methods in org.springframework.aot.generate that return GenerationContext
Modifier and Type
Method
Description
`GenerationContext`
GenerationContext.`withName(String name)`
Create a new `GenerationContext` instance using the specified name to qualify generated assets for a dedicated round of code generation.